> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/recipients/view-recipient-schema/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View the schema for a Recipient GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/recipients/schema Fetch the data requirements for a given currency, payout method type, and recipient type Reference: https://docs.mangopay.com/api-reference/recipients/view-recipient-schema ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Query parameters - `PayoutMethodType` (string, required) — **Allowed values:** `LocalBankTransfer`, `InternationalBankTransfer` The payout method. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code of a supported currency: `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `RecipientType` (string, required) — **Allowed values:** `Individual`, `Business` The recipient type: - `Individual` – An account held by a natural person - `Business` – An account held by a legal entity ## Response ### 200 Success - `DisplayName` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Currency` (DataFormatField_AllowedValues, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `Country` (DataFormatField_AllowedValues, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `RecipientType` (DataFormatField_AllowedValues, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `PayoutMethodType` (DataFormatField_AllowedValues, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `Tag` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `RecipientScope` (DataFormatField_AllowedValues, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `IndividualRecipient` (ViewTheSchemaForARecipientResponseIndividualRecipient, optional) — The schema of the `IndividualRecipient` property. - `BusinessRecipient` (ViewTheSchemaForARecipientResponseBusinessRecipient, optional) — The schema of the `BusinessRecipient` property. - `InternationalBankTransfer` (InternationalBankTransfer_RecipientSchema, optional) — The schema of the `InternationalBankTransfer` property. - `LocalBankTransfer` (ViewTheSchemaForARecipientResponseLocalBankTransfer, optional) — The schema of the `LocalBankTransfer` property. ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### DataFormatField Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Required` (boolean, optional) — Whether the field is required or not. - `MaxLength` (integer, optional) — The maximum length of the string. - `Pattern` (string, optional) — The regex describing the accepted value of the string. - `Label` (string, optional) — A label that platforms can use when displaying or requesting the field to the end user. - `EndUserDisplay` (string, optional) — **Possible values:** `Show`, `Hide` Recommendation on whether to show or hide the field (and `Label`) to the end user. ### DataFormatField_AllowedValues Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including allowed values. - `AllowedValues` (list of string, optional) — The allowed values of the string. - `Required` (boolean, optional) — Whether the field is required or not. - `MaxLength` (integer, optional) — The maximum length of the string. - `MinLength` (integer, optional) — The minimum length of the string. - `Pattern` (string, optional) — The regex describing the accepted value of the string. - `Label` (string, optional) — A label that platforms can use when displaying or requesting the field to the end user. - `EndUserDisplay` (string, optional) — **Possible values:** `Show`, `Hide` Recommendation on whether to show or hide the field (and `Label`) to the end user. ### ViewTheSchemaForARecipientResponseIndividualRecipient The schema of the `IndividualRecipient` property. - `FirstName` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `LastName` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Address` (Address_Recipient_Schema, optional) — The schema of the `Address` object. ### ViewTheSchemaForARecipientResponseBusinessRecipient The schema of the `BusinessRecipient` property. - `BusinessName` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Address` (Address_Recipient_Schema, optional) — The schema of the `Address` object. ### InternationalBankTransfer_RecipientSchema The schema of the `InternationalBankTransfer` property. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BIC` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransfer The schema of the `LocalBankTransfer` property. ### Address_Recipient_Schema The schema of the `Address` object. - `AddressLine1` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `AddressLine2` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `City` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Country` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `Region` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). - `PostalCode` (DataFormatField, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema). ### FieldMetadata Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `Required` (boolean, optional) — Whether the field is required or not. - `MaxLength` (integer, optional) — The maximum length of the string. - `MinLength` (integer, optional) — The minimum length of the string. - `Pattern` (string, optional) — The regex describing the accepted value of the string. - `Label` (string, optional) — A label that platforms can use when displaying or requesting the field to the end user. - `EndUserDisplay` (string, optional) — **Possible values:** `Show`, `Hide` Recommendation on whether to show or hide the field (and `Label`) to the end user. ### ViewTheSchemaForARecipientResponseLocalBankTransfer0 - `AUD` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf0Aud, required) — The schema of the `AUD` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer1 - `CAD` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf1Cad, required) — The schema of the `CAD` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer2 - `CHF` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf2Chf, required) — The schema of the `CHF` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer3 - `CZK` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf3Czk, required) — The schema of the `CZK` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer4 - `DKK` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf4Dkk, required) — The schema of the `DKK` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer5 - `EUR` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf5Eur, required) — The schema of the `EUR` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer6 - `GBP` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf6Gbp, required) — The schema of the `GBP` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer7 - `HKD` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf7Hkd, required) — The schema of the `HKD` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer8 - `HUF` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf8Huf, required) — The schema of the `HUF` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer9 - `MXN` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf9Mxn, required) — The schema of the `MXN` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer10 - `NOK` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf10Nok, required) — The schema of the `NOK` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer11 - `PLN` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf11Pln, required) — The schema of the `PLN` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer12 - `RON` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf12Ron, required) — The schema of the `RON` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer13 - `SEK` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf13Sek, required) — The schema of the `SEK` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer14 - `SGD` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf14Sgd, required) — The schema of the `SGD` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer15 - `TRY` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf15Try, required) — The schema of the `TRY` property. ### ViewTheSchemaForARecipientResponseLocalBankTransfer16 - `USD` (ViewTheSchemaForARecipientResponseLocalBankTransferOneOf16Usd, required) — The schema of the `USD` property. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf0Aud The schema of the `AUD` property. - `BSB` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf1Cad The schema of the `CAD` property. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `InstitutionNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BranchCode` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BankName` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf2Chf The schema of the `CHF` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf3Czk The schema of the `CZK` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf4Dkk The schema of the `DKK` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf5Eur The schema of the `EUR` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf6Gbp The schema of the `GBP` property. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `SortCode` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf7Hkd The schema of the `HKD` property. - `BankCode` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BranchCode` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BIC` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf8Huf The schema of the `HUF` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf9Mxn The schema of the `MXN` property. - `Clabe` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BIC` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf10Nok The schema of the `NOK` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf11Pln The schema of the `PLN` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf12Ron The schema of the `RON` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf13Sek The schema of the `SEK` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf14Sgd The schema of the `SGD` property. - `BankCode` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BIC` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf15Try The schema of the `TRY` property. - `IBAN` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `BeneficiaryIdentificationValue` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ### ViewTheSchemaForARecipientResponseLocalBankTransferOneOf16Usd The schema of the `USD` property. - `AccountNumber` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `ABA` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. - `FFC` (FieldMetadata, optional) — Field metadata returned by [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema), including length constraints. ## Examples ### EUR, US, international, individual **Response** ```json { "DisplayName": { "Required": true, "MaxLength": 50, "Pattern": "^(?!.*[&,'/]).{1,50}$", "Label": "Display Name", "EndUserDisplay": "Show" }, "Currency": { "AllowedValues": [ "EUR" ], "Required": true, "MaxLength": 3, "MinLength": 3, "Pattern": "^[a-zA-Z]{3}$", "Label": "Currency", "EndUserDisplay": "Hide" }, "Country": { "AllowedValues": [ "US" ], "Required": true, "MaxLength": 2, "MinLength": 2, "Pattern": "^[a-zA-Z]{2}$", "Label": "Destination Country", "EndUserDisplay": "Hide" }, "RecipientType": { "AllowedValues": [ "Individual" ], "Required": true, "Pattern": "^[a-zA-Z]+$", "Label": "Recipient Type", "EndUserDisplay": "Hide" }, "PayoutMethodType": { "AllowedValues": [ "InternationalBankTransfer" ], "Required": true, "Pattern": "^[a-zA-Z]+$", "Label": "Payout Method Type", "EndUserDisplay": "Hide" }, "Tag": { "Required": false, "MaxLength": 255, "Pattern": "^.{0,255}$", "Label": "Tag", "EndUserDisplay": "Hide" }, "RecipientScope": { "AllowedValues": [ "PAYOUT", "PAYIN" ], "Required": false, "Pattern": "^[a-zA-Z]+$", "Label": "Recipient Scope", "EndUserDisplay": "Hide" }, "IndividualRecipient": { "FirstName": { "Required": true, "MaxLength": 255, "Pattern": "^(?!.*[()&,.:_/]).{1,255}$", "Label": "First Name", "EndUserDisplay": "Show" }, "LastName": { "Required": true, "MaxLength": 255, "Pattern": "^(?!.*[()&,.:_/]).{1,255}$", "Label": "Last Name", "EndUserDisplay": "Show" }, "Address": { "AddressLine1": { "Required": true, "MaxLength": 255, "Pattern": "^(?!.*[()/]).{1,255}$", "Label": "Address Line 1", "EndUserDisplay": "Show" }, "AddressLine2": { "Required": false, "MaxLength": 255, "Pattern": "^(?!.*[()/]).{1,255}$", "Label": "Address Line 2", "EndUserDisplay": "Show" }, "City": { "Required": true, "MaxLength": 80, "Pattern": "^(?!.*[&,.:_]).{1,80}$", "Label": "City", "EndUserDisplay": "Show" }, "Country": { "Required": true, "MaxLength": 2, "Pattern": "^[a-zA-Z]+$", "Label": "Country", "EndUserDisplay": "Show", "MinLength": 2 }, "Region": { "Required": false, "MaxLength": 50, "Pattern": "^(?!.*[&,.:_/]).{1,50}$", "Label": "Region", "EndUserDisplay": "Show" }, "PostalCode": { "Required": true, "MaxLength": 10, "Pattern": "^(?!.*[()&,.:_'/]).{1,10}$", "Label": "Postal Code", "EndUserDisplay": "Show" } } }, "InternationalBankTransfer": { "AccountNumber": { "Required": true, "MaxLength": 12, "MinLength": 8, "Pattern": "^[0-9a-zA-Z]{8,12}$", "Label": "Account Number", "EndUserDisplay": "Show" }, "BIC": { "Required": true, "Pattern": "^[0-9a-zA-Z]{8}([0-9a-zA-Z]{3})?$", "Label": "BIC", "EndUserDisplay": "Show" } } } ``` ### CAD, CA, local, business **Response** ```json { "DisplayName": { "Required": true, "MaxLength": 50, "Pattern": "^(?!.*[&,'/]).{1,50}$", "Label": "Display Name", "EndUserDisplay": "Show" }, "Currency": { "AllowedValues": [ "CAD" ], "Required": true, "MaxLength": 3, "MinLength": 3, "Pattern": "^[a-zA-Z]{3}$", "Label": "Currency", "EndUserDisplay": "Hide" }, "Country": { "AllowedValues": [ "CA" ], "Required": true, "MaxLength": 2, "MinLength": 2, "Pattern": "^[a-zA-Z]{2}$", "Label": "Destination Country", "EndUserDisplay": "Hide" }, "RecipientType": { "AllowedValues": [ "Business" ], "Required": true, "Pattern": "^[a-zA-Z]+$", "Label": "Recipient Type", "EndUserDisplay": "Hide" }, "PayoutMethodType": { "AllowedValues": [ "LocalBankTransfer" ], "Required": true, "Pattern": "^[a-zA-Z]+$", "Label": "Payout Method Type", "EndUserDisplay": "Hide" }, "Tag": { "Required": false, "MaxLength": 255, "Pattern": "^.{0,255}$", "Label": "Tag", "EndUserDisplay": "Hide" }, "RecipientScope": { "AllowedValues": [ "PAYOUT", "PAYIN" ], "Required": false, "Pattern": "^[a-zA-Z]+$", "Label": "Recipient Scope", "EndUserDisplay": "Hide" }, "BusinessRecipient": { "BusinessName": { "Required": true, "MaxLength": 255, "Pattern": "^(?!.*[(),.:/]).{1,255}$", "Label": "Business Name", "EndUserDisplay": "Show" }, "Address": { "AddressLine1": { "Required": true, "MaxLength": 255, "Pattern": "^(?!.*[()/]).{1,255}$", "Label": "Address Line 1", "EndUserDisplay": "Show" }, "AddressLine2": { "Required": false, "MaxLength": 255, "Pattern": "^(?!.*[()/]).{1,255}$", "Label": "Address Line 2", "EndUserDisplay": "Show" }, "City": { "Required": true, "MaxLength": 80, "Pattern": "^(?!.*[&,.:_]).{1,80}$", "Label": "City", "EndUserDisplay": "Show" }, "Country": { "Required": true, "MaxLength": 2, "Pattern": "^[a-zA-Z]+$", "Label": "Country", "EndUserDisplay": "Show", "MinLength": 2 }, "Region": { "Required": true, "MaxLength": 50, "Pattern": "^(?!.*[&,.:_/]).{1,50}$", "Label": "Region", "EndUserDisplay": "Show" }, "PostalCode": { "Required": true, "MaxLength": 10, "Pattern": "^(?!.*[()&,.:_'/]).{1,10}$", "Label": "Postal Code", "EndUserDisplay": "Show" } } }, "LocalBankTransfer": { "CAD": { "AccountNumber": { "EndUserDisplay": "Show", "Label": "Account Number", "MaxLength": 35, "MinLength": 7, "Pattern": "^\\d{7,35}$", "Required": true }, "BankName": { "EndUserDisplay": "Show", "Label": "Bank Name", "MaxLength": 50, "Required": true }, "BranchCode": { "EndUserDisplay": "Show", "Label": "Branch Code", "MaxLength": 5, "MinLength": 5, "Pattern": "^\\d{5}$", "Required": true }, "InstitutionNumber": { "EndUserDisplay": "Show", "Label": "Institution Number", "MaxLength": 3, "MinLength": 3, "Pattern": "^\\d{3}$", "Required": true } } } } ```